# GCC_ConferenceQueryRequest Class Reference

`#include <gcc.h>`

Inheritance diagram for GCC_ConferenceQueryRequest:

List of all members.

## Public Types

enum | OptionalFields { e_asymmetryIndicator, e_userData }

## Public Member Functions

| GCC_ConferenceQueryRequest (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

GCC_NodeType | m_nodeType
GCC_AsymmetryIndicator | m_asymmetryIndicator
GCC_UserData | m_userData

## Member Enumeration Documentation

enum GCC_ConferenceQueryRequest::OptionalFields

Enumerator:

  e_asymmetryIndicator |
  e_userData |

## Constructor & Destructor Documentation

GCC_ConferenceQueryRequest::GCC_ConferenceQueryRequest | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX GCC_ConferenceQueryRequest::GetDataLength | ( |  | ) | const

PBoolean GCC_ConferenceQueryRequest::Decode | ( | PASN_Stream & | strm | ) |

void GCC_ConferenceQueryRequest::Encode | ( | PASN_Stream & | strm | ) | const

void GCC_ConferenceQueryRequest::PrintOn | ( | ostream & | strm | ) | const

Comparison GCC_ConferenceQueryRequest::Compare | ( | const PObject & | obj | ) | const

PObject* GCC_ConferenceQueryRequest::Clone | ( |  | ) | const

## Member Data Documentation

GCC_NodeType GCC_ConferenceQueryRequest::m_nodeType

GCC_AsymmetryIndicator GCC_ConferenceQueryRequest::m_asymmetryIndicator

GCC_UserData GCC_ConferenceQueryRequest::m_userData

The documentation for this class was generated from the following file:

- gcc.h